import { BaseDomainEvent } from './base-domain.event';

export class SearchPerformedEvent extends BaseDomainEvent {
  readonly eventType = 'workspace.search.performed';

  constructor(
    public readonly userId: string,
    public readonly query: string,
    public readonly resultsCount: number,
  ) {
    super();
  }
}
